Skip to main content

Retail Long/Short Ratio

Global (retail) account long/short ratio — every Binance account is counted with equal weight, in contrast to the top-trader (large-account) view.

Endpoint

GET /globalLongShortAccountRatio

Source: /futures/data/globalLongShortAccountRatio. Authentication: Public.

Query parameters

NameTypeRequiredDefaultNotes
symbolstringYesUppercase futures symbol, e.g. BTCUSDT.
periodstringNo5mOne of 5m, 15m, 30m, 1h, 2h, 4h, 6h, 12h, 1d.
limitintegerNo10Max per Binance is 500.

Response — 200 OK

[
{
"symbol": "BTCUSDT",
"longShortRatio": "1.8105",
"longAccount": "0.6442",
"shortAccount": "0.3558",
"timestamp": 1745920800000
}
]

Errors

HTTPCause
422Missing symbol.
502Upstream Binance request failed.

Example

curl -s "https://api.pipai.org/globalLongShortAccountRatio?symbol=BTCUSDT&period=1h&limit=24"